Texa DeskDevelopers

Texa Desk Application API · Canned responses

Add a New Canned Response

POST/api/v1/accounts/{account_id}/canned_responses

Add a new Canned Response to Account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Body application/json

contentstring

Message content for canned response

short_codestring

Short Code for quick access of the canned response

Responses

200

Success

idinteger

ID of the canned response

account_idinteger

Account Id

short_codestring

Short Code for quick access of the canned response

contentstring

Message content for canned response

created_atstring

The date and time when the canned response was created

updated_atstring

The date and time when the canned response was updated

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring